# Poco

# class HexBinaryEncoder

Library: Foundation
Package: Streams
Header: Poco/HexBinaryEncoder.h

## Description

This ostream encodes all data written to it in BinHex encoding and forwards it to a connected ostream. Always call close() when done writing data, to ensure proper completion of the encoding operation. In hexBinary encoding, each binary octet is encoded as a character tuple, consisting of two hexadecimal digits ([0-9a-fA-F]) representing the octet code. See also: XML Schema Part 2: Datatypes (http://www.w3.org/TR/xmlschema-2/), section 3.2.15.

## Inheritance

Direct Base Classes: HexBinaryEncoderIOS, std::ostream

All Base Classes: HexBinaryEncoderIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### HexBinaryEncoder

HexBinaryEncoder(
std::ostream & ostr
);

## Destructor

### ~HexBinaryEncoder

~HexBinaryEncoder();